import { WALLET_HIDE_MODAL } from "../common/WalletEvent";
import QRCodeComp, { IQRCfg } from "./comp/QRCodeComp";
import WalletBase from "./WallerBase";

const {ccclass, property} = cc._decorator;

@ccclass
export default class QrNode extends WalletBase {
  @property(QRCodeComp)
  qrComp: QRCodeComp = null

  init(data: IQRCfg) {
    this.qrComp.renderQr(data)
  }

  hideMe() {
    this.node.active = false
    this.wallet.uiHandlers.emit(WALLET_HIDE_MODAL)
  }
}